Bug 538369 - SELinux is preventing /opt/ibm/lotus/notes/framework/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.1.20090925-1604/linux/x86/notes2 from making the program stack executable.
Summary: SELinux is preventing /opt/ibm/lotus/notes/framework/rcp/eclipse/plugins/com....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:7d622d2e1de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 12:11 UTC by Michael Mortensen
Modified: 2009-12-02 04:36 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:18 UTC


Attachments (Terms of Use)

Description Michael Mortensen 2009-11-18 12:11:34 UTC
Summary:

SELinux is preventing
/opt/ibm/lotus/notes/framework/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.1.20090925-1604/linux/x86/notes2
from making the program stack executable.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

The notes2 application attempted to make its stack executable. This is a
potential security problem. This should never ever be necessary. Stack memory is
not executable on most OSes these days and this will not change. Executable
stack memory is one of the biggest security problems. An execstack error might
in fact be most likely raised by malicious code. Applications are sometimes
coded incorrectly and request this permission. The SELinux Memory Protection
Tests (http://people.redhat.com/drepper/selinux-mem.html) web page explains how
to remove this requirement. If notes2 does not work and you need it to work, you
can configure SELinux temporarily to allow this access until the application is
fixed. Please file a bug report.

Allowing Access:

Sometimes a library is accidentally marked with the execstack flag, if you find
a library with this flag you can clear it with the execstack -c LIBRARY_PATH.
Then retry your application. If the app continues to not work, you can turn the
flag back on with execstack -s LIBRARY_PATH. Otherwise, if you trust notes2 to
run correctly, you can change the context of the executable to execmem_exec_t.
"chcon -t execmem_exec_t
'/opt/ibm/lotus/notes/framework/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.1.20090925-1604/linux/x86/notes2'"
You must also change the default file context files on the system in order to
preserve them even on a full relabel. "semanage fcontext -a -t execmem_exec_t
'/opt/ibm/lotus/notes/framework/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.1.20090925-1604/linux/x86/notes2'"

Fix Command:

chcon -t execmem_exec_t
'/opt/ibm/lotus/notes/framework/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.1.20090925-1604/linux/x86/notes2'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                None [ process ]
Source                        notes2
Source Path                   /opt/ibm/lotus/notes/framework/rcp/eclipse/plugins
                              /com.ibm.rcp.base_6.2.0.200811140851/linux/x86/not
                              es2
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ibm_lotus_notes-8.5.1-20090929.1223
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   allow_execstack
Host Name                     (removed)
Platform                      Linux yeps72435.yellgroup.com
                              2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14
                              EST 2009 x86_64 x86_64
Alert Count                   8
First Seen                    Fri 13 Nov 2009 18:24:17 GMT
Last Seen                     Wed 18 Nov 2009 12:02:27 GMT
Local ID                      46a51022-1f70-4a95-a708-7d411569415d
Line Numbers                  

Raw Audit Messages            

node=yeps72435.yellgroup.com type=AVC msg=audit(1258545747.927:26558): avc:  denied  { execstack } for  pid=9599 comm="notes2" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

node=yeps72435.yellgroup.com type=SYSCALL msg=audit(1258545747.927:26558): arch=40000003 syscall=125 success=yes exit=0 a0=ff97b000 a1=1000 a2=1000007 a3=ff97abc0 items=0 ppid=1 pid=9599 auid=500 uid=500 gid=501 euid=500 suid=500 fsuid=500 egid=501 sgid=501 fsgid=501 tty=(none) ses=1 comm="notes2" exe="/opt/ibm/lotus/notes/framework/rcp/eclipse/plugins/com.ibm.rcp.base_6.2.1.20090925-1604/linux/x86/notes2" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execstack,notes2,unconfined_t,unconfined_t,process,execstack
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t self:process execstack;

Comment 1 Michael Mortensen 2009-11-18 12:39:01 UTC
This occurs each time I try to start lotus notes - I am now running 8.5.1, but it was also happening under 8.5.

Doing chcon and semanage actions under "Allowing Access:" seems to work.

Comment 2 Daniel Walsh 2009-11-18 13:15:08 UTC
I think setting them java_exec_t is actually a better solution.

I will change the default label to content under the plugins directory to be java_exec_t

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 3 Fedora Update System 2009-11-23 23:35:34 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 4 Fedora Update System 2009-11-25 15:18:29 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 5 Fedora Update System 2009-12-02 04:30:10 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.